# Gimp.ConfigInterface.sync

    function sync(src: GObject.Object, dest: GObject.Object, flags: GObject.ParamFlags): Boolean {
        // Gjs wrapper for gimp_config_sync()
    }

Compares all read- and write-able properties from src and dest that have all flags set. Differing values are then copied from src to dest. If flags is 0, all differing read/write properties.

Properties marked as "construct-only" are not touched.

If the two objects are not of the same type, only properties that exist in both object classes and are of the same value_type are synchronized

Since 2.4

src

  a GObject.Object

dest

  another GObject.Object

flags

  a mask of GParamFlags

Returns

  true if dest was modified, false otherwise